%global srcname lit

%if 0%{?fedora} || 0%{?rhel} > 7
%global with_python2 0
%else
%global with_python2 1
%endif

#%%global rc_ver 1
#%%global post_ver 1
%global baserelease 1

%bcond_without check

# FIXME: Work around for rhel not having py2_build/py2_install macro.
%{!?py2_build: %global py2_build %{expand: CFLAGS="%{optflags}" %{__python2} setup.py %{?py_setup_args} build --executable="%{__python2} -s"}}
%{!?py2_install: %global py2_install %{expand: CFLAGS="%{optflags}" %{__python2} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}}}

Name: python-%{srcname}
Version: 12.0.0
Release: %{?rc_ver:0.}%{baserelease}%{?rc_ver:.rc%{rc_ver}}%{?dist}
BuildArch: noarch

License: NCSA
Summary: Tool for executing llvm test suites
URL: https://pypi.python.org/pypi/lit
Source0: %{pypi_source %{srcname} %{version}%{?rc_ver:rc%{rc_ver}}%{?post_ver:.post%{post_ver}}}

# for file check
%if %{with check}
BuildRequires: llvm-test
%endif

BuildRequires: python3-devel
BuildRequires: python3-setuptools
%if 0%{?with_python2}
BuildRequires: python2-devel
BuildRequires: python2-setuptools
%endif

%description
lit is a tool used by the LLVM project for executing its test suites.

%package -n python3-lit
Summary: LLVM lit test runner for Python 3

Requires: python3-setuptools

%if 0%{?with_python2}
%package -n python2-lit
Summary: LLVM lit test runner for Python 2

Requires: python2-setuptools
%endif

%description -n python3-lit
lit is a tool used by the LLVM project for executing its test suites.

%if 0%{?with_python2}
%description -n python2-lit
lit is a tool used by the LLVM project for executing its test suites.
%endif

%prep
%autosetup -n %{srcname}-%{version}%{?rc_ver:rc%{rc_ver}}%{?post_ver:.post%{post_ver}} -p4

%build
%py3_build
%if 0%{?with_python2}
%py2_build
%endif

%install
%py3_install
%if 0%{?with_python2}
%py2_install
%endif

# Strip out #!/usr/bin/env python
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/%{srcname}/*.py
%if 0%{?with_python2}
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python2_sitelib}/%{srcname}/*.py
%endif

%if %{with check}
%check
%{__python3} lit.py tests
%if 0%{?with_python2}
%{__python2} lit.py tests
%endif
%endif

%files -n python3-%{srcname}
%license LICENSE.TXT
%doc README.txt
%{python3_sitelib}/*
%{_bindir}/lit

%if 0%{?with_python2}
%files -n python2-%{srcname}
%license LICENSE.TXT
%doc README.txt
%{python2_sitelib}/*
%if %{undefined with_python2}
%{_bindir}/lit
%endif
%endif

%changelog
* Thu May 6 2021 sguelton@redhat.com - 12.0.0-1
- 12.0.0 release

* Thu Oct 29 2020 sguelton@redhat.com - 0.11.0-1
- 0.11.0 final release

* Thu Sep 17 2020 sguelton@redhat.com - 0.11.0-0.1.rc1
- 0.11.0 rc1 Release

* Thu Apr 9 2020 sguelton@redhat.com - 0.10.0-1
- 0.10.0 final release

* Fri Sep 27 2019 Tom Stellard <tstellar@redhat.com> - 0.9.0-1
- 0.9.0 Release

* Wed Apr 17 2019 sguelton@redhat.com - 0.8.0-1
- 0.8.0 Release

* Fri Dec 14 2018 Tom Stellard <tstellar@redhat.com> - 0.7.1-1
- 0.7.1 Release

* Tue Nov 27 2018 Tom Stellard <tstellar@redhat.com> - 0.7.0-1
- 0.7.0 Release

* Fri Nov 16 2018 Lumír Balhar <lbalhar@redhat.com> - 0.6.0-6
- Require platform-python-setuptools instead of python3-setuptools
- Resolves: rhbz#1650540

* Mon Oct 01 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-5
- Drop SCL macros

* Wed Sep 12 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-4
- Use versioned python dependencies (python3)

* Mon Aug 27 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-3
- Fix python3 install

* Mon Aug 27 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-2
- Enable python3

* Tue Jul 10 2018 Tom Stellrad <tstellar@redhat.com> - 0.6.0-1
- 0.6.0 Release

* Mon Jul 02 2018 Tom Stellard <tstellar@redhat.com> - 0.5.1-4
- Drop python2

* Tue Jun 12 2018 Tom Stellard <tstellar@redhat.com> - 0.5.1-3
- Add BuildRequires: scl-utils-build

* Thu Jan 11 2018 Tom Stellard - 0.5.1-2
- Fix build on RHEL8

* Tue Jan 09 2018 Tom Stellard <tstellar@redhat.com> - 0.5.1-1
- Rebase to 0.5.1

* Thu Jun 08 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-7
- Build for llvm-toolset-7 rename

* Thu May 18 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-6
- Fix package names

* Wed May 10 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-5
- Next attempt to add runtime dependency on python-setuptools

* Tue May 09 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-4
- Properly add missing runtime dependency to python-setuptools

* Tue May 09 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-3
- Add missing runtime dependency to python-setuptools

* Fri Apr 28 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-2
- Add llvm-toolset-4 scl support

* Thu Mar 09 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-1
- Initial version
